# Schema::createCollection

(No version information available, might only be in Git)

Schema::createCollection — Add collection to schema

### Description

public mysql_xdevapi\Schema::createCollection ( string `$name` ) : mysql_xdevapi\Collection

Create a collection within the schema.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`name`

### Return Values

### Examples

Example #1 Schema::createCollection example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS food")->execute();
$session->sql("CREATE DATABASE food")->execute();
$session->sql("CREATE TABLE food.fruit(name text, rating text)")->execute();
$schema = $session->getSchema("food");
$schema->createCollection("trees");
print_r($schema->gettables());
print_r($schema->getcollections());`

The above example will output something similar to:

    Array
    (
        [fruit] => mysql_xdevapi\Table Object
            (
                [name] => fruit
            )
    )
    Array
    (
        [trees] => mysql_xdevapi\Collection Object
            (
                [name] => trees
            )
    )